Boomi Platform API Reference (1.0.0) - ListenerStatus
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Listener Status object represents the status of a listener process deployed to a Runtime, Runtime cluster, or Runtime cloud. For example, you can retrieve a listener's status to ensure that requests for pause, resume, or restart take effect before performing other actions. Retrieving the listener status is an asynchronous process:
- The client sends a QUERY request that specifies a container ID and, optionally, a listener ID to the platform.
- The platform returns a listener status token.
- The client sends a GET request that includes the listener status token to the platform.
- The platform returns the status of the specified listener or listeners.
Note: If the QUERY request does not include a listener ID, the subsequent GET request retrieves the status of all listeners on that container.
Required Privileges
You need these privileges in the target environment:
Write access
- N/A
Read access
- API — Use the Boomi Platform API to access account data.
- ATOM_MANAGEMENT — Configure and administer integration runtimes.
Retrieves a ListenerStatus object by identifier
Send an HTTP POST where {accountId} is the ID of the authenticating account for the request.
Note: For backward compatibility, Boomi continues to support the legacy URL: https://api.boomi.com/api/rest/v1/accountId/ListenerStatus/query/async.
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: listenerId, containerId
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
required | object (AsyncToken) |
| responseStatusCode required | integer <int32> |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "operator": "and",
- "nestedExpression": [
- {
- "argument": [
- "ea56da44-ea7d-4c80-9866-30556474938e"
], - "operator": "EQUALS",
- "property": "listenerId"
}, - {
- "argument": [
- "1045759d-7f6c-4108-bd0e-7b71541d6a2d"
], - "operator": "EQUALS",
- "property": "containerId"
}
]
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "AsyncOperationTokenResult",
- "asyncToken": {
- "@type": "AsyncToken",
- "token": "ListenerStatus-3b0a7ae0-60f4-46e7-8169-f9c19a83a2e2"
}, - "responseStatusCode": 202
}Retrieves a ListenerStatus object by token
The ordinary GET operation retrieves async results from the QUERY. Send an HTTP GET where {accountId} is the account that you are authenticating with and {token} is the listener status token returned by your QUERY request.
Note: For backward compatibility, Boomi continues to support the legacy URL: https://api.boomi.com/api/rest/v1/accountId/ListenerStatus/query/async.
Authorizations:
path Parameters
| token required | string Takes in the token from a previous call to return a result. |
Responses
Response Schema:
| responseStatusCode required | integer <int32> Enum: 200 202 The status code returned from a request, as follows:
|
| numberOfResults | integer <int32> |
Array of objects (ListenerStatus) |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "AsyncOperationResult",
- "result": [
- {
- "@type": "ListenerStatus",
- "listenerId": "ea56da44-ea7d-4c80-9866-30556474938e",
- "status": "listening",
- "connectorType": "wss"
}
], - "numberOfResults": 1,
- "responseStatusCode": 200
}